Subject: bug#8597: horrible default colors for emacs -nw

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Apr 2011 22:20:53 +0300

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>
> Date: Sat, 30 Apr 2011 11:14:13 -0700
> 
> Screen background: Red, Green, Blue each 255
> Selected screen colors: (black)
> Selected pop-up colors: (a dark magenta/purple)
> 
> I do not set any Emacs faces (e.g. `region').  This Windows shortcut setting is
> all I have.  I would hope that Emacs could figure out that it is dealing with a
> light background (dark foreground), but no, I don't know anything about how it
> might do that.

I think Emacs cannot figure out the background mode in a -nw session,
at least not in general.  There's no interface to the text terminal
that can tell it that.  But I will try to see if there's something
that can be done on Windows specifically.